import React, { Component } from 'react';
import { createPortal } from 'react-dom';
import styles from './style.css';

class Perview extends Component {
  constructor(props) {
    super(props);
    let viewDom = document.getElementById('PerviewWrap');
    if (viewDom) {
      this.node = viewDom;
    } else {
      viewDom = document.createElement('div');
      viewDom.id = 'PerviewWrap';
      document.body.appendChild(viewDom);
      this.node = viewDom;
    }
  }

  componentWillUnmount() {
    window.document.body.removeChild(this.node);
  }

  render() {
    const { visibility } = this.props;
    return visibility
      ? createPortal(
          <div className={styles}>
            <div className={styles.mask} />
            <div className={styles.content}>
              <div className={styles.imgBox} />
              <div className={styles.footer}>
                <div className={styles.per}>
                  <div className={styles.leftIcon} />
                </div>
                <div className={styles.pagination} />
                <div className={styles.next}>
                  <div className={styles.rightIcon} />
                </div>
              </div>
            </div>
          </div>,
          this.node
        )
      : null;
  }
}

export default Perview;
